What is Help Development Studio?

We proudly present a new version of the full-featured, stand-alone and really easy-to-use help authoring tool, which has already obtained acknowledgment of a big number of software developers, technical writers, help authoring professionals and even average PC users. Why? The answer is simple. Creation of help files in WinHelp (.hlp) and HTML Help (.chm) formats is no longer complex and difficult task. With Help Development Studio, the process of writing help documentation can be compared with writing a document in a text processor and you are able to provide your application with a professionally developed help files, on-line manual even if you have no skills in help authoring. But this does not mean that use of Help Development Studio limits your possibilities in help authoring. You can do everything what the help system allows to do. Create your table of contents, keyword Index, browse groups and, of course, write and edit text for your help topics with using a variety of different objects such as links, macros, graphics, etc. The intuitive, professionally designed user interface will not let you get lost among many editor windows, objects and files, the most known problems met in other help authoring tools. The integrated system of auto correction will save your time and let you be sure that change of key settings (e.g. change of topic IDs, window names, etc) will not lead to broken links, macros and other objects of your help system. The multi-file mode will let you work on several help projects simultaneously. Finally, additional plug-ins which can be downloaded and installed or even developed by yourself will let you customize Help Development Studio in accordance with your own needs. Write help documentation with Help Development Studio and you will do your work much sooner and more qualitatively.


Features
Support of WinHelp and HTML Help formats.

Ability to create web help (using the On-line Manual plug-in).

Creating documentation in different formats from the same source.

Integrated editors (text processor, help contents and index editors, macro editor, etc).

Powerful Auto Correct system that will let you be sure that change of key settings (e.g. change of topic IDs, window names, etc) will not lead to broken links, macros and other objects of your help system.

Multi-file mode (ability to work with several help projects simultaneously).

A variety of different objects which can be inserted at the text of help topics (different types of links, targets, macros, clickable buttons, pictures, etc).

 Ability to insert pictures from the Clipboard (effective for inserting screenshots).

 Custom text layouts for quick applying font attributes in the text editor.

Support of Segmented Hyper Graphics in WinHelp and HTML Help.

Creating and editing styles for HTML links.

Automatic convert of specified HTML Help topics to text pop-up format.

 Powerful text search and replace engine.

 Dynamically updating report for viewing results.

 Support of relative paths (no need to edit anything after moving your help project to other folder, disk, or even computer).

 Installing additional plug-ins.

Really easy-to-use multilingual interface.

 Rich set of options to customize the program in accordance with your own needs.


Version History
Version 1.81

Added ability to set a custom name for the output help file.
 The Define Output Path field is moved to the Paths tab at the project options.
Fixed problem with pasting text from some text processors. The text could be recognized as a metafile.
Fixed unpleasant behavior of some color selectors, which could result in incorrect saving of the selected color value.

Version 1.8

New improved WinHelp and HTML Help engines.
Added powerful Auto Correct system that lets you be sure that change of key settings (e.g. change of topic IDs, window names, etc) will not lead to broken links, macros and other objects of your help system.
Improved text search and replace engine (ability to search for specified text in all help topics).
Creating and editing styles for HTML links is now possible.
Added custom text layouts for quick applying font attributes in the text editor.
Specifying windows in topic links and Segmented Hyper Graphics is now possible in HTML Help.
Added ability to insert pictures from the Clipboard (effective for inserting screenshots).
Added support of .png files in HTML Help.
New topic Status property added.
Added ability to define the Left and Top margins for HTML Help topics.
 Added ability to renumber a specified range of topic IDs.
Added insertion of HTML code to the text of help topics (HTML Help only).
Added ability to define a frame for URL links (HTML Help only).
HTML Help A-Keywords can be edited in the Index Editor as well as WinHelp A-Keywords.
Adding link files to a WinHelp project is now possible.
Integrated Project Convert Wizard.
Added Report for viewing results and searching errors.
The topic list is saved to a text file in more convenient format.
Added ability to run the help file from the selected topic, not from the start.
Correct working without administrative rights (Windows NT/XP).
Improved user interface.

Version 1.71

Fixed problems with calling HTML Help topics from applications.
Added ability to convert HTML Help topics to text pop-ups.
Changed several reiterative shortcuts in the menu and new ones assigned to some commands.
Added support of the Insert, Delete and Alt+Enter hot keys allowing to add, remove and edit items in the topic list, window list and contents editor.

Version 1.7

Added ability to create popup links in HTML Help.
Creating external links (to .hlp files) from HTML Help is now also possible.
New possibilities for using Segmented Hyper Graphics (.shg) in HTML Help.
Added support of some WinHelp macros in HTML Help.
Added support of browse groups for HTML Help.
Added support of relative paths.
Added sort of the topic list.
New project options allowing to define the default help topic.
Create Browse Groups options is added to the Project menu.
Close All command is added to the File menu.
Minor bugs fixed.

Version 1.63

Added possibility to define default font for the text of a new topic.
Fixed some problems with fonts in HTML Help.
Minor bugs fixed.

Version 1.62

Fixed bug with opening text for a topic from a .rtf file having default formatting.
Fixed several bugs in the plug-in system.
A minor bug fixed.

Version 1.61

Fixed bugs when saving help projects written in some languages.

Version 1.6

Added possibility of translating the program to other languages.

Version 1.5

Added support of HTML Help format.
New possibility of working with several projects simultaneously (multi-file mode).
The built-in plug-in system is completely remade.
Fixed problems with fonts under Windows 2000.
Added ability to edit tag properties.
Added choice of a language for a help file, what is necessary for the help compiler.
Added the A-Keyword topic property and ability to edit it in the Index Editor.
Added several macros to the Macro Editor.
The dialog of inserting graphics files now displays them proportionally.
The toolbars now correctly save their size and position.
Changed the file extension from .hmp to .hds.
Minor bugs fixed.

Version 1.4b

Fixed changes of text colors under Windows 2000.
Fixed incorrect location of topics in the browse groups after compiling.
Minor bugs fixed.

Version 1.3b

Fixed generation of wrong names for help files when the path has a folder with an extension.
Added the possibility to set a default font for the caption of a new topic.
Minor bugs fixed.

Version 1.2b

Speed of processing help topics is greatly increased.
Added a new Citation project option.
Minor bugs fixed.

Version 1.1b

Fixed problems under Windows NT.
Added ability to define buttons for a window.
Fixed working of the browse buttons after editing browse groups and recompiling the help file.
Minor bugs fixed.

Version 1.0b
Initial release.


What is Help Project?

Before you start to write help files, please read some words about the help project and its structure.

About Help Project

Help Development Studio allows to create help files in WinHelp (.hlp) and HTML Help (.chm) formats. The format of the future help system is defined when creating a new help project but you can change it then at any moment. A help project contains all the information necessary to make the help file from it. In other words, this is the source of your help file. It contains your help topics , help windows , help contents , keyword Index , etc.

Structure

A help project is saved to a file with the .hds extension. You should save each help project to a separate folder because after compilation this folder will contain the files of your help system, those which you distribute with your application. These are usually a help file (having .hlp or .chm extension depending on the format of your help project), and a contents file (only in WinHelp, the table of contents of a HTML Help system is compiled into the .chm file).

But saving each help project to a separate folder has one more benefit. Fact is that, graphics, multi-media (and other files) are not saved to your .hds file like the text of help topics, table of contents, keyword index and other objects. This means that if you use graphics in your help project, each of your graphics files should be accessible when compiling the help file. We recommend to save (copy) the graphics files you use to the folder with your project file, or a subfolder contained in this folder. What does this give? First, Help Development Studio allows to use relative paths (this option is turned on by default) for linking graphics and other external files. So, this gives you a warranty that all the graphics files will be accessible when compiling even if the folder was moved to a different directory, disk or computer. Secondly, holding all files in the same folder provides you the most convenient management with your project.


Help Project Options

Any help project has options which are saved directly in the project file (.hds). To modify options of your help project, choose the Project Options command from the Project menu.

Project Tab

Help Title
Title of the help system.

Copyright
Copyright information.

Citation
A text string which is added to the end of help topics when they are copied or printed. (available in WinHelp only)

Language
Specifies the language of your help project. This option is necessary for correct compiling the help file.

Compress Help File
Allows to low the size of your help file. (available in WinHelp only)

Default Topic
Specifies a help topic to be opened when running the help file.

Step Between Topic IDs by Default
Used to determine the default ID when adding a new help topic.

Contents Tab

This tab is only available in a HTML Help project.

Style
Contains a number of options specifying the appearance and behaviour of your help contents .

Use Folders Instead of Books
If checked, help contents items of the Header type looks like folders, not books. The appearance of items of the Topic type differs as well.

Color
Specifies the contents background color.

Paths Tab

Define Output Path
Allows to set an alternative path for creating your help file.

Define Output File Name
Allows to set an alternative name for your help file.

Seacrh Graphics Files in
For correct compiling graphics files used in the help project, this list must include all the paths where they are located. To add a path to this list, click the Add button. To remove a path, select it and click Remove.

Miscellaneous Tab

Default Topic Header Font
Font which is applied to the caption when adding a help topic. To edit it, click the Edit button.

Default Topic Text Font
Font which is applied to the text when adding a help topic. To edit it, click the Edit button.

Use Hotspot Names from .shg files as Tooltips
When compiling a Segmented Hyper Graphics file (.shg), the names of hotspots can be used as tooltips shown when the mouse cursor is over a hotspot. (available in HTML Help only)


About Help Formats

What formats can I create my help documentation in?

Help Development Studio is originally designed for creating help documentation in WinHelp (.hlp) and HTML Help (.chm) formats. But this does not mean that exporting your help to an alternative format is impossible. Due to the built-in plug-in system, Help Development Studio allows to extend its possibilities. As a real example of such extension can be a powerful plug-in developed by us to provide the ability of creating the so-called web-based help or on-line manual. The On-line Manual plug-in adds the third format you can create your documentation in. To download this plug-in, please visit our web-site at www.helpdevelopmentstudio.com/download.htm . Soon we are going to release a new plug-in adding the fourth help format to Help Development Studio.


Compiling Help Files

To create the help file from a help project , you should choose the Compile Help File command from the Project menu (the keyboard shortcut for this command: Ctrl+F9). Also, choosing the Run Help File command (F9) from the same menu allows you to see your help file after compiling. If the help project is modified, the Run Help File command also recompiles the help file before running it.

Help Compilers

Please note that Help Development Studio uses Microsoft Help Compilers for creation of help files. The both help compilers are freely available on the internet and can come with your development tool. To create help files in WinHelp (.hlp) format , you need MS Help Workshop package. To create help files in HTML Help (.chm) format, you need MS HTML Help Workshop package. When the packages are installed, you should link the help compilers with Help Development Studio. For it, please choose the Options command from the Service menu. At the dialog box, you'll see two fields which you should enter the compilers location in. If you do not know whether you have a help compiler on your computer or do not remember its location, use the Search button. Clicking this button will scan your file system for the necessary files and automatically fill in the fields if any files are found.

In case, if you have not found the WinHelp or HTML Help comiler on your computer, we offer you to download these packages from our web-site at: www.helpdevelopmentstudio.com/download.htm


About Help Topics

Any help system consists of separate topics with text. Help Development Studio fully provides you with the possibility to create topics for your help project , write and edit the text they contain and set their properties. Help Development Studio lists topics of your help project and lets you easily navigate on them, and select them for editing. If you do not see the topic list on the screen, use commands of the View|Browser Panels menu or press F11 to show it.

Below are main actions for working with help topics. Most of them can be performed only in the Topics editing mode. To go to this mode, choose the Topics command from the Tools menu or click the appropriate button on the Tools toolbar.

Adding a Topic
Choose the Add command from the Topics menu, set topic properties at the dialog box and click OK.

Removing a Topic
Select the necessary topic in the list and choose the Remove command from the Topics menu.

Editing Topic Properties
Select the topic whose properties you want to edit, and choose the Properties command from the Topics menu.

Quck Change of Status
For quick changing the status of a help topic, click its icon in the list until the necessary status is set.


Help Topic Properties

The set of topic properties is different for WinHelp and HTML Help project . However, key topic properties are the same in projects of both formats .

Topic Tab:

Status
This topic property does not influence on the compiling process and how your help files works. You can use the status property for your convenience when working on your help system. The current topic status is indicated by its icon in the topic list. There are three possible topic statuses:

(Complete) - Shows that writing the topic is complete.
Writing - Show that the topic is being written, needs review, etc.
Marked - There is no special meaning for this status. Use it for you own needs.

ID
Numerical topic identifier.

Title
Topic title as it appears in the text.

Context
Textual topic identifier.

Keyword
Keyword which appears in the Index. You can use KLink() macro to find help topics by their Keywords.

A-Keyword
Unlike Keyword, A-Keyword does not appear in the Index but you can use ALink() macro to find help topics by their A-Keywords.

Browse group
Shows the browse group the topic belongs to.

Macros Tab:

This property tab is available in WinHelp projects only. Here you can set the list of macros which will be performed at each opening of the topic. To add, remove, edit and move macros in the list, use the appropriate buttons.

Page Tab:

This property tab is available in HTML Help projects only. Here you specify properties of the topic's HTML page.

Left Margin
Specifies the page offset from the left and right.

Top Margin
Specifies the page offset from the top.

Use Background From a File
Allows to set a graphics file to be used as background for this topic.

Watermark
If checked, the background will not be scrolled with the text.

Background Color
Specifies the color to be used for this topic. If not checked, the default color is used.

Link Color
Specifies default color for links contained in this topic. When using styles , this property is ignored.


About Writing Text

Help Development Studio includes the integrated text processor for writing the text of your help topics . To write or edit the topic text, go to the Topics editing mode (Tools|Topics) and select the necessary help topic from the list. Now you can write and edit the text with using different fonts, formating and inserting such object as links, pictures, clickable buttons, etc. The process of setting the formatting and style attributes for the text is the same as in any text processor. Just use the Formatting toolbar (if you do not see it on the screen, use the Formatting command from the View|Toolbars menu, to show it). To insert any objects to the topic text, use commands of the Insert menu or buttons of the Insert toolbar. For description of objects you can use in your help system, see the topics below:

Keepn
Line
Link
External Link
Internet Link
Target
Target Link
Picture
Video
Macro
HTML
Button

As mentioned in the topics above, Help Development Studio uses tags for inserting objects. A tag is a special text which is processed when compiling your help file. If you need to edit a tag (that is, to edit properties of the object it defines), do not modify it in the text editor directly. You should either put the cursor on the necessary tag and choose the Edit Tag command from the Edit menu or just double-click the necessary tag.


Keepn

Keepn is the object used to specify the title (non-scrolling) area and the topic text (scrolling) area in WinHelp projects . In HTML Help projects Keepn is converted to a horizontal Line .

Inserting the Object
Put the text cursor to the end of the line with the title of your help topic .
Choose the Keepn command from the Insert menu or click the appropriate button on the Insert toolbar.

Tag View

[Keepn]


Line

Line is the object used to specify the place of a horizontal line in the topic text. This object is supported in HTML Help projects only and ignored when compiling a WinHelp file.

Inserting the Object

Put the text cursor to the place where you want to insert a horizontal line.
Choose the Line command from the Insert menu or click the appropriate button on the Insert toolbar.
Specify line properties at the dialog box.
Then click OK.

Object Properties

Location - Specifies alignment of the line.
Width - Specifies the width of the line.
Height - Specifies the height of the line.
Width in Percent - If checked, the width is measured in percent.
Solid Line (No Shading) - If checked, the line will appear solid.

Tag View

[Line=]


Link

Link is the object used to specify a link to a topic contained in the current help project .

Inserting the Object

Select the text you want to make a link from.
Choose the Link command from the Insert menu or click the appropriate button on the Insert toolbar.
Specify link properties at the dialog box.
Then click OK.

Object Properties

Text - The link text, that which is clicked and refers to another topic.
Topic - Specifies the topic which the link refers to.
Window - Secifies the window in which the topic is displayed.
Style - Specifies the style for the link.
Type - Specifies how the help topic is displayed. Can be Regular or Popup.

Tag View

[Link=]


External Link

External Link is the object used to specify a link to a topic contained in another (external) help file having WinHelp format (.hlp). Note that HTML Help also supports use of such links.

Inserting the Object

Select the text you want to make a link from.
Choose the External Link command from the Insert menu or click the appropriate button on the Insert toolbar.
Specify link properties at the dialog box.
Then click OK.

Object Properties

Text - The link text, that which is clicked and refers to another topic .
Help File - Help file containing the necessary topic.
Context - Context identifier of the topic the link refers to.
Style - Specifies the style for the link.
Type - Specifies how the help topic is displayed. Can be Regular or Popup.

Tag View

[LinkF=]


Internet Link

Internet Link is the object used to specify a link to an internet address (URL).

Inserting the Object

Select the text you want to make a link from.
Choose the Internet Link command from the Insert menu or click the appropriate button on the Insert toolbar.
Specify link properties at the dialog box.
Then click OK.

Object Properties

Text - The link text, that which is clicked and follows the URL address specified.
Address - Specifies the URL address for the link. (A web address should begin with 'http://', an e-mail address begins with 'mailto:').
Frame - Specifies the frame to display the web page in (if the address refers to a web page). This property is unavailable in WinHelp projects .
Style - Specifies the link style .

Tag View

[UrlLink=]


Target

Target is the object which is put at the particular place of the topic text and lets you call the topic from this place directly by using a Target Link .

Inserting the Object

Put the text cursor to the place where you want to insert a target.
Choose the Target command from the Insert menu or click the appropriate button on the Insert toolbar.
Specify target identifier at the dialog box.
Then click OK.

Object Properties

Target - Identifies the target in all the help project (for WinHelp) or in the help topic (for HTMLHelp).

Tag View

[Target=]


Target Link

Target Link is the object used to specify a link to a topic from the place specified with a Target .

Inserting the Object

Select the text you want to make a link from.
Choose the Target Link command from the Insert menu or click the appropriate button on the Insert toolbar.
Specify link properties at the dialog box.
Then click OK.

Object Properties

Text - The link text, that which is clicked and follows a target.
Target - Identifier of the target set on the line you want to open the help topic from.
Topic - Specifies the topic whose target the link refers to. In WinHelp projects a target identifier is global and therefore, this property is ignored in WinHelp. But despite this, we recommend to always set the topic with your target for correct converting a WinHelp project to HTML Help, where setting the topic is mandatory if the target is located in another topic. Use the 'Auto' value only if the target is placed with the target link in the same topic.
Style - Specifies the link style .

Tag View

[LinkT=]


Picture

Picture is the object which is used for insertion of graphics at the topic text.

Inserting the Object

Put the text cursor to the place where you want to insert a picture.
Choose the Picture command from the Insert menu or click the appropriate button on the Insert toolbar.
Specify picture properties at the dialog box.
Then click OK.

Object Properties

File Name - Graphics file name.
Location - Specifies alignment of the picture.
Transparent - This property is only available in a WinHelp project and works with 2- and 16-color bitmaps. If checked, all white pixels are replaced with the window's topic area color .

Tag Views

[bmc=], [bmct=], [bml=], [bmlt=], [bmr=], [bmrt=]


Video

Video is the object which is used for insertion of video clips at the topic text.

Inserting the Object

Put the text cursor to the place where you want to insert a video.
Choose the Video command from the Insert menu or click the appropriate button on the Insert toolbar.
Specify properties of the video clip at the dialog box.
Then click OK.

Object Properties (in WinHelp)

File Name - Location of the video file.
EXTERNAL - If checked, the video file is not compiled into the help file. This means that if you use this option, you should distribute your help file with the video file together.
NOPLAYBAR - If checked, the player window will be without a toolbar.
NOMENU - If checked, the player window will be without a control popup menu.
REPEAT - If checked, playing the video will be repeated an unlimited number of times.
PLAY - If checked, playing the video will start at opening the help topic.

Object Properties (in HTML Help)

File Name - Location of the video file.
Location - Specifies alignment of the video clip.
Start When Mouse Moving - If checked, playing the video starts when moving the mouse cursor overt it.
Endless Repeat - If checked, playing the video will be repeated an unlimited number of times.
Number of Repeats - Specifies a particular number of times to play the video.

Tag View

[mci=]


Macro

Macro is the object which is inserted at the topic text and performs special commands when clicking on it.

Inserting the Object

Select the text you want to make a macro from.
Choose the Macro command from the Insert menu or click the appropriate button on the Insert toolbar.
Specify a macro and its properties at the dialog box.
Then click OK.

Object Properties

Macro - Command which is performed when click the link.
Text - The link text, that which is clicked and performs the macro.
Style - Specifies the link style .

Tag View

[Macros=]


HTML

HTML is the object which is used for insertion of HTML code at the topic text. This object is supported in HTML Help projects only and ignored when compiling a WinHelp file.

Inserting the Object

Put the text cursor to the place where you want to insert a HTML code.
Choose the HTML command from the Insert menu or click the appropriate button on the Insert toolbar.
Specify properties of the HTML insertion at the dialog box.
Then click OK.

Object Properties

ID - Identifies the HTML insertion in all the help project.

Tag View

[HTML=]


Button

Button is the object which is used for insertion of clickable button at the topic text.

Inserting the Object

Put the text cursor to the place where you want to insert a clickable button.
Choose the Button command from the Insert menu or click the appropriate button on the Insert toolbar.
Specify properties of the button at the dialog box.
Then click OK.

Object Properties (in WinHelp)

Caption - Specifies a title for the clickable button.
Macro List - List of macros which are performed when clicking the button.

Object Properties (in HTML Help)

Topic - Specifies a help topic the button refers to.
Indication - Specifies whether to use a text, shortcut (small standard image), or an external image file for this button. Please note that an external image is not compiled into the HTML Help file and you should distribute your help file with the image file together.

Tag View

[Button=]


Link Styles

When inserting links at the topic text you could see the Style property at the dialog boxes. In a WinHelp project this property contain a fixed number of values: Green and Underline, Underline Only, and Other. In a HTML Help project you can create link styles yourself.

Styles in WinHelp

Green and Underline - Default style for all links in WinHelp. A link with this style is green and underlined. Color and formatting attributes set for the link text are ignored.
Underline Only - A link with this style is underlined and has color set by the user in the text editor.
Other - A link with this style is not underlined. Setting a custom color is also possible.

Styles in HTML Help

By default, all HTML Help links are underlined and their color depends on the topic Link Color property. But use of styles provides much more possibilities. To create and edit link styles of your help project , choose the Styles command from the Tools menu. The appeared editor lets you define fonts used for all the links whose Style property has the 'None' value and also create custom styles which will only be used for selected links. How to use this editor is described below:

Creating a Link Style
Enter a name for the new style in the appropriate field and click the Add or Insert button.

Removing a Link Style
Select the style you want to remove in the Styles list and click the Remove button.

Renaming a Link Style
Select the style you want to rename in the Styles list, enter a new name in the appropriate field and click the Rename button.

Editing a Link Style
Select the style whose fonts you want to edit in the Styles list and use the appropriate buttons to edit the fonts for Regular, Active and Visited links.


Text Layouts

When writing topics of a help system you usually use a fixed set of font attributes. But it is inconvenient and not effective to apply these attributes to different fragments of text by using the Formatting toolbar. Help Development Studio gives you an alternative way to set font, color and other attributes for the selected text. You can define several text layouts and then select them from a menu (layouts can be selected from the menu Edit|Layout or from the popup menu which is called when you right-click on the text editor) or by clicking a specified keyboard shortcut.

To create and edit text layouts for your help project , use the Edit command from the Edit|Layout menu.


About Help Windows

Help windows are necessary for displaying help topics . Any help project has at least one window named 'Main'. The windows of your help project are listed below the topic list. If you do not see the window list on the screen, use commands of the menu View|Browser Panels or press F11 to show it.

Below are main actions for working with help windows. Please note that removing and renaming the 'Main' window is impossible.

Adding a Window
Choose the Add command from the Windows menu, set window properties at the dialog box and click OK.

Removing a Window
Select the window you want to remove and then choose the Remove command from the Windows menu.

Editing Window Properties
Select the window whose properties you want to edit, and choose the Properties command from the Windows menu.


Help Window Properties

The set of window properties is different for WinHelp and HTML Help project . However, key window properties are the same in projects of both formats .

General Tab

Name
Name of the window. Identifies the window in the help project.

Caption
Caption of the window, that which appears when the window is displayed.

Buttons Tab

Here you set buttons to be used for the window. A window in WinHelp can have the following buttons: Contents, Index, Find, Help Topics, Print, Back, Options. A window in HTML Help can have these buttons: Hide/Show, Back, Forward, Stop, Refresh, Home, Options, Print, Locate, Jump 1, Jump 2. Note that Jump 1 and Jump 2 are custom buttons. On this tab you can also enter captions for these buttons, the topics they refer to are specified on the Topics tab (see below for its description).

Position Tab

Here you can specify the window's position and size. Use the Auto-Sizer button to automatically fill in the X, Y, Width and Height fields. If you want to set default values, click the Default button.
Remark: WinHelp system uses a special 1024x1024 coordinate system to specify the position and size of its help windows. This makes the specified values independent on the screen resolution. In other words, the window position and size will be changed proportionally to the screen when the resolution is changed. HTML Help system specifies the position and size of its help windows in pixels, that is, when changing the screen resolution, a help window stays static.

For WinHelp projects this tab has two additional options:

Full Screen
If checked, the window is enlarged to full size, the position and size values are ignored.

Stay on Top
If checked, the window always stays on the top.

Color Tab

This tab is only available in a WinHelp project .

Use Default Colors
If checked, default colors are used for the window.

Nonscrolling Area
Color of the nonscrolling window area.

Topic Area
Color of the topic (scrolling) area.

To set default color for a WinHelp window, use the Default button on this tab.

Macros Tab

This property tab is available in WinHelp projects only. Here you can set the list of macros which will be performed at each opening of the window. To add, remove, edit and move macros in the list, use the appropriate buttons.

Navigation Pane Tab

This tab is only available in a HTML Help project .

Width
Specifies width of the navigation pane.

Open the Window with Navigation Pane Closed
If checked, the navigation pane is closed when opening the window.

Automatically Show/Hide
If checked, the navigation pane is automatically closed when the window is inactive and showed when the window is active.

Auto Sync
Automatycally founds and selects the topic being displayed in the window in the table of contents.

Search Tab
Specifies whether to display the Search tab.

Advanced Search
Specifies the type of the Search tab.

Favorites Tab
Specifies whether to display the Favorites tab.

Default Tab
Allows to select a tab to show at the first opening of the window.

Topics Tab

This tab is only available in a HTML Help project .

Home
Specifies the help topic the Home button (see the Buttons tab above) refers to.

Jump 1
Specifies the help topic the Jump 1 button refers to.

Jump 2
Specifies the help topic the Jump 2 button refers to.


Contents Editor

For creating the Table of Contents for your help project , you should use the contents editor which becomes available by choosing the Contents command from the Tools menu or clicking the appropriate button on the Tools toolbar. This topic describes main actions for working with the Contents Editor.

Adding a Contents Item
Select the item after which you want to insert a new item. Choose the Add command from the Items menu, specify the item properties at the dialog box, then click OK.

Quick Adding an Item with the Topic type
Topics can be added to the contents in a special way. Select the contents item after which you want to insert a topic and then double-click the topic to be inserted in the topic list.

Removing a Contents Item
Select the item you want to remove and choose the Remove command from the Items menu.

Editing Item Properties
Select the item whose properties you want to edit and choose the Properties command from the Items menu.

Creating Tree-type Contents Structure
The table of contents usually consists of a tree-type structure where topics (headers) are included to other headers. When adding topics or headers in more main items, they are automatically moved at the right. But you can edit such a hierarchy of contents items. For it, select an item and use the Left and Right commands from the Items menu to change its level in the hierarchy. Note that the Contents Editor analyses the item position and if you are moving one of the topics included in the same header, all these topics will be moved.

Moving an Item
Select the necessary item and use the Move Up and Move Down commands from the Items menu.

Contents Clear
Use the Clear command from the Items menu.


Contents Item Types

There are four types of items in the table of contents of a WinHelp system and two types of items in a HTML Help system.

Contents Item Types (in WinHelp)

Header
Looks like a book including help topics and other books.

Topic
Link to a help topic.

Macro
Looks like a Topic but performs macros when choosing it.

Include
Defines the place for inserting items from an external contents file (.cnt).

Contents Item Types (in HTML Help)

Header
Includes help topics and other headers. Unlike the WinHelp header, can refer to help topics.

Topic
Link to a help topic.


Contents Item Properties

The set of properties for a contents item depends on the item's type and help project format .

Contents Item Properties (in WinHelp)

Header

Title - Specifies the header title as it appears in the contents.

Topic

Title - Specifies the topic title as it appears in the contents.
Context - Identifier of the help topic the item refers to.
File - If the topic is contained in another (external) help file, you should enter its location here. If this is a local help topic, omit this property.
Window - Window which the topic should be displayed in. If this property is omitted, the 'Main' window is used.

Macro

Title - Specifies the item title as it appears in the contents.
Macro - Contains macros which are performed when choosing the item.

Include

File - A contents file (.cnt) to be inserted instead of this item.

Contents Item Properties (in HTMLHelp)

Header

Title - Specifies the header title as it appears in the contents.
Context - Identifier of the help topic the item refers to.
Window - Window which the topic should be displayed in. If this property is omitted, the 'Main' window is used.
Image - Appearance of the item. If the value of this property is set to 'Auto', the appearance depends on the item's type .

Topic

Title - Specifies the topic title as it appears in the contents.
Context - Identifier of the help topic the item refers to.
Window - Window which the topic should be displayed in. If this property is omitted, the 'Main' window is used.
Image - Appearance of the item. If the value of this property is set to 'Auto', the appearance depends on the item's type .


Index Files

The Index of a WinHelp system can include Keywords from other help files. Editing index files of your help project is available in the Contents editing mode (use the Contents command from the Tools menu or the appropriate button on the Tools toolbar to go to this mode). To edit the set of your index files, choose the Index Files command from the Items menu. When compiling the help file (.hlp), information about index files added to the project is exported and stored in the contents file (.cnt).

Adding a Help Index
Click the Add button, specify the help index properties and then click OK.

A help index has the following properties:
Help Title - Provides a place for you to type a title for the help file whose keywords you want to appear in this help index. The title you type here will appear if users choose Custom in the Find Setup Wizard. It also appears in the Topics Found dialog box if identical topic titles in different help files are found.
File Name - Provides a place for you to type the name of the help file whose keywords will appear in this help index.
Comment - Provides a place for you to type a short comment.

Removing a Help Index
Select the Help Index you want to remove and click the Remove button.

Editing a Help Index
Select the Help Index whose properties you want to edit and click the Edit button.


Link Files

WinHelp allows to include help topics contained in other (external) help files in your ALink/KLink searches. Editing link files of your help project is available in the Contents editing mode (use the Contents command from the Tools menu or the appropriate button on the Tools toolbar to go to this mode). To edit the set of your link files, choose the Link Files command from the Items menu. Note that if a file that contains ALink and KLink references is added to Index Files, you do not need to add it as a Link File. When compiling the help file (.hlp), information about link files added to the project is exported and stored in the contents file (.cnt).

Adding a Link File
Click the Add button, specify the Link File properties and click OK.

Removing a Link File
Select the Link File you want to remove and click the Remove button.

Editing a Link File
Select the Link File whose properties you want to edit and click the Edit button.


Index Editor

For creating the Index for your help project , you should use the Index Editor which can be called by choosing the Index command from the Tools menu or clicking the appropriate button on the Tools toolbar.

This topic describes how to create the Index for WinHelp and HTML Help projects.

Index in WinHelp

The Index in a WinHelp system is based on the values of the topic Keyword properties. This means that to create the Index for a WinHelp project, you need to assign Keywords for those topics , which you wish to see in your Index. Like the table of contents, the Index can have a tree-type structure. You can type Keywords of several help topics in the following format: Common Name:Keyword Name. Also, it is possible to use such a format: Common Name:Common Name,Topic Name. Using one of these formats for keywords will let you move secondary topics at the right.

But to edit the WinHelp Index by assigning topics' Keyword properties is inconvenient. Therefore, we recommend to use the Index editor which lists keywords of all the help topics and lets you edit them in a more convenient form. In addition, using the editor, you can build the Index in automatic mode by clicking the appropriate buttons.

Index in HTML Help

Unlike WinHelp, using the Index Editor to create the Index for your HTML Help project is mandatory because you cannot edit keywords when editing properties of a help topic. In fact, a topic in HTML Help does not have the Keyword property and the Keyword field you see in the Topic Property dialog box shows topic keywords which are taken from the Index created with the Index Editor.

Using the Index Editor for creation of the HTML Help Index is simple. Just use the Add, Remove and Edit buttons for adding, removing and editing keywords. Use the arrow buttons to move the selected keyword. Also, use the appropriate buttons to build the Index in automatic mode.

Editing A-Keywords

Both WinHelp and HTML Help projects support A-Keywords . To edit A-Keywords for several topics can be inconvenient like editing several keywords for creating the Index in WinHelp. Therefore, to edit A-Keywords, you can also use the Index Editor. Just switch the Edit box located at the top of the editor's window to A-Keywords and you will see a table with A-Keywords for all the help topics. So, you can write and edit A-Keywords with the Index Editor as well.


Keyword Properties (HTML Help Only)

Properties of an Index keyword in HTML Help.

Title
The keyword title as it appears in the Index.

Topic
Help topic the keyword refers to when choosing it.


About Browse Groups

Browse groups are used for creating sequences of help topics which should be opened when the user clicks the browse buttons. For WinHelp, the browse buttons are added to a help window by adding the BrowseButtons() macro. By default, the 'Main' window of a new WinHelp project already has this macro. Unlike WinHelp, browse buttons are not supported in HTML Help but Help Development Studio allows to use browse buttons based on graphics images.

The mechanism of working of browse groups consists in the following. For example, you have five topics in your help project (Topic1, Topic2, Topic3, Topic4, and Topic5) and two browse groups (Group1, Group2). If to add the first three topics to Group1 and the rest two topics to Group2, your browse buttons will be working so:

Active Topic  Previous Button  Next Button
Topic1        Disabled         Enabled
Topic2        Enabled          Enabled
Topic3        Enabled          Disabled
Topic4        Disabled         Enabled
Topic5        Enabled          Disabled

This simple example answers the question 'why use browse groups?'. But for a small help project, it is often enough to create the only browse group and add all help topics to it. Sometimes, use of different browse groups is really useful. So, you should think how it will be better for your user before you create a browse group.


Creating Browse Groups

To create and edit browse goups in your help project , choose the Browse Groups command from the Tools menu. The appeared editor allows to create and edit browse groups, and add help topics to them. How to use this editor is described below.

Creating a Browse Group
Enter a name for the new group and click the Create button.

Removing a Browse Group
Select the group you want to remove in the drop-down list and click the Remove button. After removing a browse group all help topics included to it become available for adding to another browse group.

Adding Topics to a Browse Group
Select the group you want to add topics to. Select the necessary topics in the Available Topics list and click the Add button.

Removing Topics from a Browse Group
Select the group you want to remove topics from. Select the necessary topics in the Included Topics list and click the Remove button.

Editing the Topic Order
Select the group whose topic order you want to edit. Select the topic you want to move in the Included Topics list and use the Up and Down buttons to move it.


Browse Buttons Properties (HTML Help Only)

To edit properties of the browse buttons in a HTML Help project :

Choose the Browse Groups command from the Tools menu or click the appropriate button on the Tools toolbar.
Click the Settings button at the appeared dialog box.

Browse Buttons Properties

Use Standard
Allows to select one of standard views for the browse buttons.

From File
Allows to use a custom graphics file for the browse buttons view.

Do Not Display Disabled Buttons
If the Previous or Next button is disabled, this option allows to hide it.

Add Browse Button to All Help Topics
If checked, the disabled browse buttons will be added to help topics which belong to no browse group as well.

How To Make a Custom View for the Browse Buttons?

Create a graphics file in one of the following formats: .gif, .jpg, .bmp
Calculate the size of your image (width of one button x 4). The size of standard images is 72x18 pixels.
Paint enabled and disabled views of your browse buttons.
Arrange the buttons on the image.
Save your file and enter its name in the field mentioned above.

Note that using .gif, you can make the buttons background transparent. When painting your buttons, use this color (RGB: 255, 0, 255) for pixels which should be transparent.


Using Text Pop-ups (HTML Help Only)

A program using HTML Help API can call text pop-ups from a HTML Help file (.chm). Help Development Studio automatically prepares specified help topics and makes them ready for calling as text pop-ups. The content of text pop-ups is stored in a text file named 'popuptopics.txt' which is compiled into the help file.

To define topics which contain the content for your text pop-ups:

Go to the Topics editing mode by choosing the Topics command from the Tools menu or clicking the appropriate button on the Tools toolbar.
At the appeared window select the necessary topics and click the Add button.
Then click OK.


Calling WinHelp Topics from the Command Line

To call a help topic contained in a WinHelp file (.hlp) from the command line, you need to run the WinHelp system with special parameters. When running the help system, you only enter the file name 'winhlp32' without the path for it is located in the Windows directory.

The command line parameters are entered in the following format:
winhlp32 -PARAMETERVALUE HELPFILE

WinHelp supports the following parameters:

-k Finds help topics by Keyword
-n Finds help topics by ID
-i Finds help topics by Context
-h Calls Help on Help. (No value and help file are required when using this parameter).

Example

The following command line calls the help topic with the Context 'Topic10' from the file 'helpstd.hlp':

winhlp32 -iTopic10 helpstd.hlp


Calling HTML Help Topics from the Command Line

To call a help topic contained in a HTML Help file (.chm) from the command line, you need to run the HTML Help system with special parameters. When running the help system, you only enter the file name "hh" without the path for it is located in the Windows directory.

The command line parameters are entered in the following format:
hh HELPFILE::/TOPICNAME.htm#TARGET

HELPFILE is the file name whose topic you want to call.
TOPICNAME is the name of the topic you call. When compiling a HTML Help project , Help Development Studio uses the topic Context property to name it.
TARGET if the topic has a Target and you want to go to it, you should also enter this additional parameter.

Example

The following command line calls the help topic named 'Topic10.htm' from the file 'helpstd.chm':

hh helpstd.chm::/topic10.htm


Setting Help Compilers Location

Choose the Options command from the Service menu.
Go to the Compilers tab at the appeared dialog box.

WinHelp Compiler
Specifies the WinHelp compiler file (hcrtf.exe) location. To browse your file system, use the [...] button.

HTML Help Compiler
Specifies the HTML Help compiler file (hhc.exe) location. To browse your file system, use the [...] button.

Where to Take Help Compilers?

The answer is here .

Search on Your Hard Disks

If you do not know whether you have a help compiler on your computer or do not remember its location, use the Search button. Clicking this button will scan your file system for the necessary files and automatically fill in the fields if any files are found.


General Program Options

Choose the Options command from the Service menu.
Go to the General tab at the appeared dialog box.

Create Help Project at Startup
Allows to specify the format of a help project which will be created at the program startup.

Do Not Recompile Help File if the Project is Not Modified
If checked, when you use the Run Help File command (F9) from the Project menu and your help project has not the Modified status (displayed on the Status Bar), the help file will be called without recompiling it.

Open Help File from the Selected Topic, not from Start
If checked, when you use the Run Help File command (F9) from the Project menu, your help file will be called from the topic that is currently selected in the list.

Do Not Use Graphics in Help Files
Use this option for testing your help file while working on it. If this option is checked, the graphics used in your help project will be ignored when you compile the help file what saves your time spent on testing it. But do not forget to uncheck this option before compiling the final version of your help.

Use Relative Paths
If checked, when you link any files (e.g. graphics) with your help project, relative paths are used. The benefit of using relative paths is described here .


Working with Topics

Choose the Options command from the Service menu.
Go to the Topics tab at the appeared dialog box.

Sort the Topic List by
Allows to set a sort mode for the topic list.

Set Properties before Creation of a Topic
If checked, the program requires to set properties for a new topic before it is added to the list.

Create a Topic without Preliminary setting Its Properties
If checked, a new topic is added to the list without displaying the property window.

Automatically Insert a Separator to New Topics
If checked, a Keepn will automatically be inserted in new help topics .

Keyword is the Same as the Topic Title by Default
When adding a topic in a WinHelp project with this option checked, the value of the topic Keyword property will be the same as the topic Title.


Auto Correct System

With Help Development Studio 1.8, we introduce a powerful system of auto correction. If you use the Auto Correct system, change of any key settings in your help project such as change of topic IDs, Contexts, window Names will not lead to broken links in your help file, broken topics in the Table of Contents, help Index, etc.

Choose the Options command from the Service menu.
Go to the Auto Correct tab at the appeared dialog box.

Use Auto Correct System
Specifies whether the Auto Correct system is active or inactive.

Correct Contents
If checked, properties of the contents items are automatically corrected.

Correct Index
If checked, properties of the HTML Help keywords are automatically corrected.

Correct Project Settings
If checked, the Auto Correct system corrects project options , macros added to WinHelp topics and Windows , etc.

Correct Tags
If checked, the Auto Correct system corrects all the tags in the text of help topics.

Sync Text Title
if checked, when you change the topic Title property, the title in the text of this topic is also changed.

Sync Contents Titles
if checked, when you change the topic Title property, the titles of the contents items which refer to the given topic are also changed.

Sync Index Titles
if checked, when you change the topic Title property, the titles of the HTML Help keywords which refer to the given topic are also changed.

Sync is Case Sensitive
If checked, automatic synchronization of titles (see the options above) is case sensitive.

Confirm Correction
If checked, the program will request your confirmation before to perform an automatic correction.


Report Options

 Choose the Options command from the Service menu.
Go to the Report tab at the appeared dialog box.

Automatically Show Report
If checked, the Report window is automatically showen when the program leaves the mode of working without any opened files.

Always Show at Compiling
Automatically shows the Report window when compiling a help file.

Hide on Finishing
Hides the Report window when compiling a help file finished.

Use Default Position for the Report Window
If checked, the previous position of the Report window is ignored when calling it.


Confirmations

The program allows you to define actions which can only be performed after a confirmation request.

Choose the Options command from the Service menu.
Go to the Confirmations tab at the appeared dialog box.
Check or uncheck the necessary actions.
Click OK.


Managing Plug-Ins

Choose the Options command from the Service menu.
Go to the Plug-Ins tab at the appeared dialog box.

Installing a Plug-In
Click the Add button, select a library with a Help Development Studio plug-in and click Open.

Uninstalling a Plug-In
Select the plug-in you want to uninstall and click the Remove button.

Editing Settings of a Plug-In
Select the plug-in whose settings you want to edit and click the Settings buttons. If the Settings button is unavailable, the selected plug-in library does not provide any Settings.


License For Use and Distribution
The program Help Development Studio is shareware. This means:

1. All copyrights to Help Development Studio are exclusively owned by Divcom Software.

2. Anyone may use this software during a test period of 30 days. If you wish to continue to use Help Development Studio after this period, you must register.

3. There are 3 basic types of licenses issued for Help Development Studio, these are:

a. A single computer USAGE license. The user purchases ONE license to USE Help Development Studio on ONE computer.

b. A Multiple USAGE license. The user purchases a number of USAGE licenses for use, by the purchaser, the purchaser's employees or accredited agents, on the same number of computers.

c. A SITE USAGE license. The user purchases a single USAGE license, authorizing the USE of Help Development Studio, by the purchaser, the purchaser's employees or accredited agents, on an unlimited number of computers at the same physical SITE location. This SITE location would normally be defined as a single building, but could be considered to be a number of buildings within the same, general, geographical location, such as an industrial estate or small town.

Once registered, the user is granted a non-exclusive license to use Help Development Studio on as many computers as defined by the licensing terms above according to the number of licenses purchased, for any legal purpose. The registered Help Development Studio software may not be rented or leased, but may be permanently transferred, in it's entirety, if the person receiving it agrees to the terms of this license. If the software is an update, the transfer must include the update and all previous versions.

4. The license key received after registration of Help Development Studio may not be distributed. In case, if your registration key is published anyplace, your license on using Help Development Studio will be terminated.

5. The Help Development Studio unregistered copy, may be freely distributed, with exceptions noted below, provided the distribution package is not modified.

a. No person or company may charge a fee for the distribution of Help Development Studio without written permission from the copyright holder.

b. The Help Development Studio unregistered copy may not be bundled or distributed with any other package without written permission of the copyright holder.

c. Hacks/crack, keys or key generators may not be included on the same distribution.

6. Help Development Studio is distributed AS IS. No warranty of any kind is expressed or implied. You use this software at your own risk. The developer will not be liable for data loss, damages, loss of profits or any other kind of loss while using or misusing this software.

7. You may not use, copy, emulate, clone, lease, sell, modify, decompile, disassemble, otherwise reverse engineer, or transfer the licensed program, or any subset of the licensed program, except as provided for in this agreement. Any such unauthorized use will result in immediate and automatic termination of this license and may result in criminal and/or civil prosecution.

8. There are NO additional license fees, apart from the cost of registration, associated with the creation and distribution of help documentation. Legally registered owners may use their copies of Help Development Studio to produce help documentation in any supported format and to distribute this documentation free of any additional Help Development Studio royalties.

9. Installing and using Help Development Studio signifies acceptance of these terms and conditions of the license.

10. If you do not agree with terms of this license you must remove the files of the product from your storage devices and cease to use it.

All rights not expressly granted here are reserved by the copyright holder.


How To Register

We use RegNow and ShareIt - well known payment service providers that allow to order Help Development Studio securely online with a credit card, or by phone, by fax or whatever you desire, even old post mail orders with bank check.

Secure Online Order:

This is the fastest and easiest way to register Help Development Studio. Just follow the link below and place an order:

www.helpdevelopmentstudio.com/order.htm

Fax or Phone Orders:

These types of orders should include ALL information contained on the order form. Also you should tell the software name (Help Development Studio) and the program ID 5878-1.

Telephone:
Toll Free: 1-877-353-7297
Regular (International): (425) 392-2294

Fax:
Toll Free: 1-888-353-7276
Regular (International): (425) 392-0223

Paying by Check via Postal Mail:

Please make check payable to "Register Now!". These types of orders should include ALL information contained on the order form except credit card information. Also you should tell the software name (Help Development Studio) and the program ID 5878-1.

Please mail check to:

Register Now!
Dept# 5878-1
PO Box 1816
Issaquah, WA 98027
United States of America

For international checks, we would prefer the funds be drawn in US dollars. When this is not possible, we will accept checks for a corresponding amount in the country's currency.

Paying by Wire Transfer:

Please complete the wire transfer. After that send fax to RegNow! a receipt of the transfer along with your order details. The fax should include ALL information contained on the order form except credit card information. Also you should tell the software name (Help Development Studio) and the program ID 5878-1. Please be sure to add the handling fee ($10US) to your wire order.

RegNow! bank details:

Register Now!
Bank Of America
WA1-102-08-20
P.O. Box 94022
Seattle, WA. 98124-9422
United States
Account Number: 35074616
Routing Number: 125000024


Registration Key

Having registered Help Development Studio, you receive the registration key, which should be entered at the program. For it, do the following:

Run Help Development Studio.
If your trial period has not expired, choose the Enter Registration Key command from the Help menu. Otherwise, if your trial period has expired, click the Register button on the appeared window.
Copy the key from your registration confirmation letter and paste it at the dialog box.
Click the OK button and restart Help Development Studio.

Also, we recommend you to save your registration confirmation letter on your hard disk for usage in the future.

Note:
Please do not distribute your registration key and do not let somebody copy it. Otherwise, as stated in the license agreement , if your key is published anyplace, your license on usage of Help Development Studio will be terminated.

Lost your key?
If for any reason you have lost your registration key, just contact us from the e-mail address inputed in the form when registering Help Development Studio and we will resend it to you.


Upgrade

If you are a registered user of Help Development Studio, you may upgrade at no charge to any newer release. Just download the latest release of Help Development Studio from our web site and install it without uninstalling the previous version. This will preserve all your program settings.

To download the latest version of Help Development Studio, visit our web site at:

 www.helpdevelopmentstudio.com


Contact
With questions, comments and suggestions, contact our technical support service via e-mail at:

support@divcomsoft.com

Describing problems you have found in Help Development Studio, please provide us the following information:

Help Development Studio version.
Your Windows Version.
The sequence of your actions which leads to the problem.
As many details associated with the problem as possible.

Before requesting technical support, please make sure that you are using the latest version of Help Development Studio. Information on latest releases can be found on the web site at:

www.helpdevelopmentstudio.com